package de.lmu.ifi.pst.x10080133.domain;

/**
 * Information holder for one Navigation-Node (location), contains n rules
 * 
 * @author Roman.Schwienbacher
 */
public class NavigationNode {

	private String location;
	private String violation;
	private boolean home;

	private Rule[] rules;

	public String getLocation() {
		return location;
	}

	public void setLocation(String location) {
		this.location = location;
	}

	public String getViolation() {
		return violation;
	}

	public void setViolation(String violation) {
		this.violation = violation;
	}

	public Rule[] getRules() {
		return rules;
	}

	public void setRules(Rule[] rules) {
		this.rules = rules;
	}

	public boolean isHome() {
		return home;
	}

	public void setHome(boolean home) {
		this.home = home;
	}

}
